# react-scroll-container

> Custom scrollbars for your React components

## Install

$ npm i --save react-scroll-container

## Props

 * `autoHide`: Boolean - defaults to true. If true, scrollbars are hidden when not scrolling.
 * `hideDelay`: Number - defaults to 300 (in ms). The delay to wait in order to hide the scrollbars
 * `hideTransitionDuration`: String - defaults to `300ms`. The duration of the transition effect used when hiding the scrollbars.
 * `showDelay`: Number - defaults to 100 (in ms). The delay to wait in order to show the scrollbars
 * `showTransitionDuration`: String - defaults to `100ms`. The duration of the transition effect used when showing the scrollbars.
 * `scrollThumbMargin`: Number - defaults to 2
 * `scrollThumbWidth`: Number/String - defaults to 6

## License

#### Commercial
